<template>
  <div>
    <LHeader :text="text"></LHeader>
    <!-- <van-sticky offset-top="1.5rem">
      <van-search
        v-model="searchValue"
        show-action
        placeholder="请输入检查名称"
        @search="onSearch"
      >
        <template #action>
          <div @click="onSearch">搜索</div>
        </template>
      </van-search>
    </van-sticky> -->
    <!-- 内容列表 -->
    <!-- 接口对接4 START -->
    <div class="con-list" @touchmove="showIndex = null">
      <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="touchstart(index, item)"
      >
        <van-row gutter="">
          <van-col span="6">隐患编号：</van-col>
          <van-col span="18">{{ item.businessId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="6">所属项目：</van-col>
          <van-col span="18">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="6">隐患级别：</van-col>
          <van-col span="18">{{ item.hdLev | dangerText }}</van-col>
        </van-row>
        <!-- <van-row gutter="">
          <van-col span="6">发现时间：</van-col>
          <van-col span="18">{{ item.hdDiscoveryTime }}</van-col>
        </van-row> -->
        <!-- *接口对接4 END -->

        <!-- 长按显示遮罩层 -->
        <van-overlay :show="showIndex == index">
          <div class="wrapper" @click.stop="showIndex = null">
            <van-button round type="primary" @click="goDetail(item)"
              >详情</van-button
            >
            <van-button round type="info" @click="goConfirm(item)"
              >审批</van-button
            >
          </div>
        </van-overlay>
      </van-cell-group>
    </div>
    <!-- 暂无数据 -->
    <div
      style="
        width: 100%;
        text-align: center;
        font-size: 0.48rem;
        position: fixed;
        top: 30%;
      "
      v-if="isHaveNews"
    >
      暂无数据
    </div>
      <tab-bar :index="1"></tab-bar>
  </div>
</template>

<script>
import tabBar from "@/components/TabBar";
import LHeader from "@/components/header.vue";
import {getFun,postFun} from "@/service/table.js";
import { majorList } from "@/service/danger";

/*接口对接2 START*/
// 例子：
// import {
//   getFormList,
//   postHdTyp,
//   postHdName,
//   postHdInventories,
//   postHdRiskSource,
//   postHdShowPeople,
//   postHdReportAdd,
//   dangerReturnEcho,
// } from "@/service/danger";

/*接口对接2 END*/

export default {
  components: {
    LHeader,
    tabBar
  },
  data() {
    return {
      text: "重大隐患",
      searchValue: "",
      isHaveNews: false,
      messageList: [],
      Loop: "", // 定时器
      showIndex: null, // 是否显示遮罩层
    };
  },
  created() {
    this.getList();
  },
  methods: {
    getList(select='') {
      /*接口对接3 START*/
      // 例子：
      this.$toast.loading({
        message: "加载中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0,
      });
      let formdata=new FormData();
      formdata.append('select',select);
      majorList("/majorapprove/list",formdata)
        .then((res) => {
          this.$toast.clear();
          this.messageList = res.rows;
          // 判断有无数据返回
          if (this.messageList.length == 0) {
            this.isHaveNews = true;
          }
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("加载失败,请稍后再试");
        });
      /*接口对接3 END*/
    },
    onSearch(val) {
      this.getList(this.searchValue)
    },

    touchstart(index, item) {
      if (this.showIndex != null) {
        this.showIndex = null;
        return;
      }
      this.showIndex = index;
    },

    // 详情
    goDetail(data) {
      this.$router.push({
        name: "normal-detail",
        params: {
          id: data.taskId,
        },
      });
      this.showIndex = null;
    },
    // 确认
    goConfirm(data) {
      this.$router.push({
        name: "major-survey",
        params: {
          data: data,
        },
      });
      this.showIndex = null;
    },
  },
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
#app {
  font-family: "";
  color: #2c3e50;
}
.con-list {
  padding: 0;
  background-color: #f0f1f5;
  .van-cell-group--inset {
    margin: 0;
    margin-bottom: 0.26667rem;
    padding: 0.25rem;
    font-size: 0.4rem;
    position: relative;
    border-radius: 4%;
    box-shadow: 0px 0px 10px 2px #f3f3f3;
    width: 90%;
    margin: 0.4rem auto;
    .van-row {
      font-size: 0.4rem;
      line-height: 0.8rem;
      margin-bottom: 0;
    }
    .van-overlay {
      position: absolute;
      .wrapper {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
      }
    }
  }
}
</style>
